# Uses of Class
it.tdlight.jni.TdApi.LabeledPricePart

## Uses of TdApi.LabeledPricePart in it.tdlight.jni

Fields in it.tdlight.jni declared as TdApi.LabeledPricePart
Modifier and Type
Field
Description
`TdApi.LabeledPricePart[]`
TdApi.Invoice.`priceParts`
A list of objects used to calculate the total price of the product.
`TdApi.LabeledPricePart[]`
TdApi.ShippingOption.`priceParts`
A list of objects used to calculate the total shipping costs.
Constructors in it.tdlight.jni with parameters of type TdApi.LabeledPricePart
Modifier
Constructor
Description
``
`Invoice(String currency, TdApi.LabeledPricePart[] priceParts, long maxTipAmount, long[] suggestedTipAmounts, String recurringPaymentTermsOfServiceUrl, String termsOfServiceUrl, boolean isTest, boolean needName, boolean needPhoneNumber, boolean needEmailAddress, boolean needShippingAddress, boolean sendPhoneNumberToProvider, boolean sendEmailAddressToProvider, boolean isFlexible)`
Product invoice.
``
`ShippingOption(String id, String title, TdApi.LabeledPricePart[] priceParts)`
One shipping option.